/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.Tcompras;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface TcomprasFacadeLocal {

    void create(Tcompras tcompras);

    void edit(Tcompras tcompras);

    void remove(Tcompras tcompras);

    Tcompras find(Object id);

    List<Tcompras> findAll();

    List<Tcompras> findRange(int[] range);

    int count();

    Tcompras FindTcomp(String productoCodigo, String programaCodigo);

}
